/// <reference types="vscode/src/vscode-dts/vscode" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.createFileSystemWatcher" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.codeActionAI" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.codeActionRanges" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.mappedEditsProvider" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.multiDocumentHighlightProvider" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.workspaceTrust" />
import * as l10n from "@vscode/l10n";
import { Emitter } from "vscode-languageserver-protocol";
import { URI } from "vscode-uri";
import { TSLanguageServiceDelegate } from "../service/delegate";
import { TSLanguageServiceConfig, TSLanguageServiceOptions } from "../service/types";
import { CommandsShimService } from "./commands";
import { ConfigurationShimService } from "./configuration";
import { DiagnosticsShimService } from "./diagnostics";
import { LanguageFeaturesShimService } from "./languageFeatures";
import { WindowShimService } from "./window";
import { WorkspaceShimService } from "./workspace";
export declare const extensions: typeof import("vscode").extensions;
export declare let languages: typeof import("vscode").languages;
export declare let commands: typeof import("vscode").commands;
export declare let window: typeof import("vscode").window;
export declare let env: typeof import("vscode").env;
export declare let workspace: typeof import("vscode").workspace;
export declare let chat: typeof import("vscode").chat;
export { CancellationTokenSource } from "vscode-languageserver-protocol";
export { FilePermission, FileStat, FileType } from "./fs";
export { LogLevel } from "./log";
export * from "./types";
export { l10n };
export declare const EventEmitter: typeof Emitter;
export declare const Uri: typeof URI;
export declare function initializeShimServices(initOptions: TSLanguageServiceOptions, delegate: TSLanguageServiceDelegate, defaultConfig: TSLanguageServiceConfig, defaultNls: l10n.l10nJsonFormat): {
    configurationService: ConfigurationShimService;
    workspaceService: WorkspaceShimService;
    commandsService: CommandsShimService;
    diagnosticsSerivce: DiagnosticsShimService;
    languageFeaturesService: LanguageFeaturesShimService;
    windowService: WindowShimService;
    context: import("vscode").ExtensionContext;
    l10n: typeof l10n;
    extensions: typeof import("vscode").extensions;
    env: typeof import("vscode").env;
    chat: typeof import("vscode").chat;
    dispose: () => void;
};
//# sourceMappingURL=index.d.ts.map