import { ServerResponse } from '../typescriptService';
import type * as Proto from './protocol/protocol';
export interface CallbackItem<R> {
    readonly onSuccess: (value: R) => void;
    readonly onError: (err: Error) => void;
    readonly queuingStartTime: number;
    readonly isAsync: boolean;
}
export declare class CallbackMap<R extends Proto.Response> {
    private readonly _callbacks;
    private readonly _asyncCallbacks;
    destroy(cause: string): void;
    add(seq: number, callback: CallbackItem<ServerResponse.Response<R> | undefined>, isAsync: boolean): void;
    fetch(seq: number): CallbackItem<ServerResponse.Response<R> | undefined> | undefined;
    private delete;
}
//# sourceMappingURL=callbackMap.d.ts.map