/// <reference types="vscode/src/vscode-dts/vscode" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.createFileSystemWatcher" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.codeActionAI" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.codeActionRanges" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.mappedEditsProvider" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.multiDocumentHighlightProvider" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.workspaceTrust" />
import * as vscode from 'vscode';
export declare function disposeAll(disposables: vscode.Disposable[]): void;
export interface IDisposable {
    dispose(): void;
}
export declare abstract class Disposable {
    private _isDisposed;
    protected _disposables: vscode.Disposable[];
    dispose(): any;
    protected _register<T extends vscode.Disposable>(value: T): T;
    protected get isDisposed(): boolean;
}
export declare class DisposableStore extends Disposable {
    add<T extends IDisposable>(disposable: T): T;
}
//# sourceMappingURL=dispose.d.ts.map